#pragma once
#include "DeerRender/Render/FrameBuffer.h"
#include "DeerRender/Tools/Memory.h"
#include "DeerRender/Enviroment.h"

namespace Deer {
    class RenderPiperline {
    public:
        RenderPiperline(RenderPiperline&) = delete;
        RenderPiperline(PiperlineOptions);

        void render(const Environment&);
    private:
        Scope<FrameBuffer> resultImage;
        PiperlineOptions options;
    };

    struct PiperlineOptions {
        int width = 100;
        int height = 100;
    };
}